<script lang="ts">
import { inject } from 'vue';
import { JTopRightKeyboardNavHint } from '../JKeyboardNavHint';

export default {
  name: 'JKeyboardNavItem',
  components: {
    JTopRightKeyboardNavHint,
  },
  setup() {
    const onArrowUp = inject('onArrowUp');
    const onArrowDown = inject('onArrowDown');

    return {
      onArrowUp,
      onArrowDown,
    };
  },
};
</script>

<template>
  <slot
    tabindex="-1"
    @keydown.arrow-up.stop.prevent="onArrowUp"
    @keydown.arrow-down.stop.prevent="onArrowDown"
    class="j-keyboard-nav-item"
  />
</template>
